<%--
 Copyright : All Rights Reserved. Copyright (C) 2006, Hitachi, Ltd.
 Title     : ServerConductor WebConsole
 Version   : 08-00
 Name      : hostList.jsp
 Date      : 2006/04/10
 Author    : LakshmiNarayanan.S
 --%>

<%@ page language = "java" %>
<%@ page errorPage = "errorDialog.jsp" %> 
<%@ taglib prefix="bean"  uri="/WEB-INF/struts-bean.tld" %>
<%@ taglib prefix="html"  uri="/WEB-INF/struts-html.tld" %>
<% response.addHeader("Cache-Control","no-cache"); %>
<%@ page import = "JP.co.Hitachi.soft.System_Manager
.webconsole.model.bean.DisplayBean"%>
<%@ page import = "JP.co.Hitachi.soft.System_Manager
.webconsole.common.Const"%>
<%@ page import = "java.util.Vector"%>
<%@ page import = "java.util.HashMap"%>
<%@ taglib prefix = "util"  uri = "/WEB-INF/common-tags.tld" %>
<%@ page import = "java.net.URLEncoder" %>
<%@ page contentType = "text/html; charset = UTF-8" pageEncoding = "UTF-8" %>   <% // 800WA_WEBCONSOLE241 %>

<%-- Get icons from the const.java file and set it 
into the pageContext implicit object as an attribute --%>

<util:set name = "PlusIcon">
<%= Const.PATH_IMAGES %><%= Const.SEPARATOR_FILE %><%= Const.IMAGE_PLUS %>
</util:set>

<util:set name = "MinusIcon">
<%= Const.PATH_IMAGES %><%= Const.SEPARATOR_FILE %><%= Const.IMAGE_MINUS %>
</util:set>

<util:set name = "SpaceIcon1">
<%= Const.PATH_IMAGES %><%= Const.IMAGE_SPACE1 %>
</util:set>

<util:set name = "SpaceIcon2">
<%= Const.PATH_IMAGES %><%= Const.IMAGE_SPACE2 %>
</util:set>

<util:set name = "SpaceIcon3">
<%= Const.PATH_IMAGES %><%= Const.IMAGE_SPACE3 %>
</util:set>

<util:set name = "SpaceIcon4">
<%= Const.PATH_IMAGES %><%= Const.IMAGE_SPACE4 %>
</util:set>

<util:set name = "SpaceIcon5">
<%= Const.PATH_IMAGES %><%= Const.IMAGE_SPACE5 %>
</util:set>

<util:set name = "SpaceIcon6">
<%= Const.PATH_IMAGES %><%= Const.IMAGE_SPACE6 %>
</util:set>

<util:set name = "SpaceIcon7">
<%-- <%= Const.PATH_IMAGES %><%= Const.IMAGE_SPACE6 %> --%>						<% // 800WA_WEBCONSOLE356 %>
<%= Const.PATH_IMAGES %><%= Const.IMAGE_SPACE7 %>								<% // 800WA_WEBCONSOLE356 %>
</util:set>																		<% // 800WA_WEBCONSOLE315 %>

<util:set name = "SpaceIcon8">
<%-- <%= Const.PATH_IMAGES %><%= Const.IMAGE_SPACE6 %> --%>						<% // 800WA_WEBCONSOLE356 %>
<%= Const.PATH_IMAGES %><%= Const.IMAGE_SPACE8 %>								<% // 800WA_WEBCONSOLE356 %>
</util:set>																		<% // 800WA_WEBCONSOLE315 %>

<jsp:useBean id="DisplayBean" 
class = "JP.co.Hitachi.soft.System_Manager.webconsole.model.bean.DisplayBean"
scope = "request"/>

<%
	Vector l_vtTree = new Vector();
	String l_stLeafNode = null;
	HashMap l_hmClimbTrail = new HashMap();
	
			
	// Assinging value to tree menu vector by calling 
	// the getter method of the list bean
	l_vtTree = DisplayBean.getNChildNodes();

%>

<html:html locale = "true">
<head>
		<link rel = "stylesheet" type = "text/css" href = "css/common.css">
		<script src = "js/listTree.js"></script>
		<script src = "js/common.js"></script>
</head>

<%-- <body onload='javascript:setDefaultPage();'> --%>							<% // 800WA_WEBCONSOLE398 %>
<%-- <body onload='javascript:setDefaultPage();' class = "nowrap"> --%>			<% // 800WA_WEBCONSOLE398 %><% // 800WA_WEBCONSOLE445 %>
<%-- <body onload='javascript:setDefaultPage();' class = "nowrap" 
      onclick = "releaseSelection()"> --%>                                      <% // 800WA_WEBCONSOLE445 %> <% // 800WA_WEBCONSOLE457 %>
<body class = "nowrap" onclick = "releaseSelection()">							<% // 800WA_WEBCONSOLE457 %>
	<div id="treeData" style="visibility:hidden">								<% // 800WA_WEBCONSOLE457 %>
		<div class = "al_center" >	
		<bean:message bundle = "<%=  Const.MESSAGE_RESOURCES_KEY_HOST%>" 
		key="host.menu.display.site"/>
	</div>		

<util:set name = "HostMenuDisplaySite">
			<bean:message bundle = "<%=  Const.MESSAGE_RESOURCES_KEY_HOST%>" 
			key="host.menu.display.site"/>
</util:set>

		<%
			// Declaration and Initialisation 
			String l_stTemp = null;
			Vector l_vtCurrentNode = null;
			Vector l_vtNextNode = null;
			String l_stSpaceImg = null;
			StringBuffer l_sbNodeHierarchy = new StringBuffer();
			int l_iIndent = 0; 
			
			StringBuffer l_sbQueryString = new StringBuffer();
			
			// Generating DIV tag for each node in the list tree
			for(int l_iCnt = 0;l_iCnt < l_vtTree.size();l_iCnt++) { 
			// The climbTrail and Node name in list block are stored as key 
			// value pair in HashMap for displaying climbTrail in 
			// Inventory detail screen. 
		%>
		<%--<util:set name = "ClimbTrailValue">												
				<bean:message bundle = "<%=  Const.MESSAGE_RESOURCES_KEY_HOST%>" 
					key="host.menu.display.site"/>
				<%= Const.SYMBOL_BLANK_SPACE %><%= Const.SYMBOL_GREATER_THAN %>
				<%= Const.SYMBOL_BLANK_SPACE %>
				<%= ((Vector)l_vtTree.get(l_iCnt)).get(1).toString() %>
			</util:set>
		--%>																	<% // 800WA_WEBCONSOLE339 %>
		<%
	 	//l_hmClimbTrail.put(((Vector)l_vtTree.get(l_iCnt)).get(0).toString(),	// 800WA_WEBCONSOLE339
		//    pageContext.getAttribute("ClimbTrailValue").toString());			// 800WA_WEBCONSOLE339

				// Storing Current node and next node data
				l_vtCurrentNode = ((Vector)l_vtTree.get(l_iCnt));
				if (l_iCnt < l_vtTree.size() - 1) {
					l_vtNextNode = ((Vector)l_vtTree.get(l_iCnt + 1));
					l_stTemp = l_vtNextNode.get(0).toString();
				}
				else {
					// l_stTemp = l_vtCurrentNode.get(0).toString();            // 800WA_WEBCONSOLE432
					StringBuffer l_sbTemp = new StringBuffer();                 // 800WA_WEBCONSOLE432
					l_sbTemp.append(l_vtCurrentNode.get(0).toString());         // 800WA_WEBCONSOLE432
					l_sbTemp.append(Const.LEAF_NODE);                           // 800WA_WEBCONSOLE432
					l_stTemp = l_sbTemp.toString();                             // 800WA_WEBCONSOLE432
					l_sbTemp.delete(0,l_sbTemp.length());                       // 800WA_WEBCONSOLE432
				}
				
				// Obtaining spaces image file path according to the 
				// position of node in tree

//				if(l_iIndent == 0) {											// 800WA_WEBCONSOLE315 
				if(l_iIndent == 1) {											// 800WA_WEBCONSOLE315 
					l_stSpaceImg = (String) pageContext
						.getAttribute("SpaceIcon1");
				}
//				else if(l_iIndent == 1) {										// 800WA_WEBCONSOLE315 
				else if(l_iIndent == 2) {										// 800WA_WEBCONSOLE315 
					l_stSpaceImg = (String) pageContext
						.getAttribute("SpaceIcon2");
				}
//				else if(l_iIndent == 2) {										// 800WA_WEBCONSOLE315 
				else if(l_iIndent == 3) {										// 800WA_WEBCONSOLE315 
					l_stSpaceImg = (String) pageContext
						.getAttribute("SpaceIcon3");
				}
//				else if(l_iIndent == 3) {										// 800WA_WEBCONSOLE315 
				else if(l_iIndent == 4) {										// 800WA_WEBCONSOLE315 
					l_stSpaceImg = (String) pageContext
						.getAttribute("SpaceIcon4");
				}
//				else if(l_iIndent == 4) {										// 800WA_WEBCONSOLE315 
				else if(l_iIndent == 5) {										// 800WA_WEBCONSOLE315 
					l_stSpaceImg = (String) pageContext
						.getAttribute("SpaceIcon5");
				}
//				else if(l_iIndent == 5) {										// 800WA_WEBCONSOLE315 
				else if(l_iIndent == 6) {										// 800WA_WEBCONSOLE315 
					l_stSpaceImg = (String) pageContext
						.getAttribute("SpaceIcon6");
				}
				else if(l_iIndent == 7) {										// 800WA_WEBCONSOLE315 
					l_stSpaceImg = (String) pageContext							// 800WA_WEBCONSOLE315 
						.getAttribute("SpaceIcon7");							// 800WA_WEBCONSOLE315 
				}																// 800WA_WEBCONSOLE315 
				else if(l_iIndent == 8) {										// 800WA_WEBCONSOLE315 
					l_stSpaceImg = (String) pageContext							// 800WA_WEBCONSOLE315 
						.getAttribute("SpaceIcon8");							// 800WA_WEBCONSOLE315 
				}																// 800WA_WEBCONSOLE315 
				else {
					l_stSpaceImg = (String) pageContext
						.getAttribute("SpaceIcon1");
				}
			 // Constructing the climb trail string								// 800WA_WEBCONSOLE339
			 StringBuffer l_sbClimb = new StringBuffer();						// 800WA_WEBCONSOLE339
			 l_sbClimb.append(pageContext.getAttribute("HostMenuDisplaySite")); // 800WA_WEBCONSOLE339
			 l_sbClimb.append("<b>");							   				// 800WA_WEBCONSOLE342
			 l_sbClimb.append(" > ");							   				// 800WA_WEBCONSOLE339
			 l_sbClimb.append("</b>");							   				// 800WA_WEBCONSOLE342			 
			 String l_stNodeKey = l_vtCurrentNode.get(0).toString();			// 800WA_WEBCONSOLE339
			 for(int l_iCount = 0;l_iCount < l_vtTree.size();l_iCount++)		// 800WA_WEBCONSOLE339
					 {	// For appending the parent node names to climb trail	// 800WA_WEBCONSOLE339
					 	String l_stTempKey = ((Vector) l_vtTree.get(l_iCount)).	// 800WA_WEBCONSOLE339
							get(0).toString();									// 800WA_WEBCONSOLE339
					    if(l_stNodeKey.startsWith(l_stTempKey))					// 800WA_WEBCONSOLE339
					    {														// 800WA_WEBCONSOLE339
					      if (((Vector) l_vtTree.get(l_iCount)).				// 800WA_WEBCONSOLE432
							  get(1).toString().trim().length()!= 0) {          // 800WA_WEBCONSOLE432
					      l_sbClimb.append(((Vector) l_vtTree.get(l_iCount)).	// 800WA_WEBCONSOLE339
							  get(1).toString());								// 800WA_WEBCONSOLE339
						}                                                       // 800WA_WEBCONSOLE432
						else {                                                  // 800WA_WEBCONSOLE432
							l_sbClimb.append(((Vector) l_vtTree.get(l_iCount)).	// 800WA_WEBCONSOLE432
							  get(1).toString().replaceAll(" ","&nbsp;"));      // 800WA_WEBCONSOLE432
						}                                                       // 800WA_WEBCONSOLE432							
//					      if(!(l_stTempKey.endsWith("a")))						// 800WA_WEBCONSOLE339 // 800WA_WEBCONSOLE339
					      if(!(l_stTempKey.endsWith(Const.LEAF_NODE)))          // 800WA_WEBCONSOLE444
					      {														// 800WA_WEBCONSOLE339
							 l_sbClimb.append("<b>");			   				// 800WA_WEBCONSOLE342					      
							 l_sbClimb.append(" > ");					   		// 800WA_WEBCONSOLE339
							 l_sbClimb.append("</b>");			   				// 800WA_WEBCONSOLE342			 							 
					      }														// 800WA_WEBCONSOLE339
					    }														// 800WA_WEBCONSOLE339
					 }															// 800WA_WEBCONSOLE339
			if (l_stNodeKey.endsWith(Const.DATA_NODE)) {                        // 800WA_WEBCONSOLE444
				l_sbClimb.delete(l_sbClimb.length()-10 ,l_sbClimb.length());    // 800WA_WEBCONSOLE444
				}																// 800WA_WEBCONSOLE444
			// Setting the value of climb trail
	 		l_hmClimbTrail.put(((Vector)l_vtTree.get(l_iCnt)).get(0).toString(),// 800WA_WEBCONSOLE339
						l_sbClimb.toString());									// 800WA_WEBCONSOLE339

					// Check if the current node is not the leaf node
				if (!(l_vtCurrentNode.get(0).toString().
					endsWith(Const.LEAF_NODE))) {

					// Appending the current node name to its parent node name
					// to form functional host name
					if ((l_sbNodeHierarchy.length() == 0)) {
						l_sbNodeHierarchy.append(l_vtCurrentNode.get(1)); 
					}
					else {
						l_sbNodeHierarchy.append("-");
						l_sbNodeHierarchy.append(l_vtCurrentNode.get(1)); 
					}
					
					%>
					
					<%-- To display the number of spaces for the node --%>
					<% if (l_iIndent !=0) { %>									<% // 800WA_WEBCONSOLE315 %>
					<img src = "<%= l_stSpaceImg %>"/>
					<% } %>														<% // 800WA_WEBCONSOLE315 %>
					<%-- To display the Plus icon for the parent nodes.
						 On click of Plus icon, treeMenu function is called --%>

					<util:set name = "FunclistTree">
						javaScript:listTree('<%= l_stTemp %>', 
						'<%= pageContext.getAttribute("PlusIcon").toString() %>' 
					<%-- ,'<%= pageContext.
							getAttribute("MinusIcon").toString() %>') --%> 		<% // 800WA_WEBCONSOLE354 %>
						,'<%= pageContext.
							getAttribute("MinusIcon").toString() %>', 'hostDetail') <% // 800WA_WEBCONSOLE354 %>
					</util:set>

					<html:img src = "<%= pageContext.
						getAttribute("PlusIcon").toString() %>"
						styleId = "<%= l_stTemp + "img" %>" border = "0" 
						onclick = "<%= pageContext.
							getAttribute("FunclistTree").toString() %>"/>

						
					<%-- To display the icon for each node --%>
					<img src = '<%= l_vtCurrentNode.get(2) %>' 
						alt = '<%= l_vtCurrentNode.get(3) %>'/>

					<util:set name = "ActionClass">
					<util:rewrite action = "displayDetailAction" />	
					</util:set>
			
					<% l_sbQueryString.delete(0,l_sbQueryString.length());
					l_sbQueryString.append(pageContext
						.getAttribute("ActionClass").toString());
					l_sbQueryString.append("?climbTrail=");
				
					l_sbQueryString.append(l_vtCurrentNode.get(0).toString()); 
					%>
					
					<util:set name = "FuncParentNode">
					<% if (l_vtCurrentNode.get(0)                               // 800WA_WEBCONSOLE444
						.toString().endsWith(Const.DATA_NODE)) { %>				<% // 800WA_WEBCONSOLE444 %>
						<%-- javascript:parentNode('<%= l_stTemp %>', --%>		<%-- //800WA_WEBCONSOLE317 --%>
						<%-- javascript:listTree('<%= l_stTemp %>',	--%>		<%-- //800WA_WEBCONSOLE317 --%> <%-- //800WA_WEBCONSOLE444 --%>
						javascript:parentNode('<%= l_stTemp %>',				<%-- //800WA_WEBCONSOLE444 --%>						
						'<%= pageContext.getAttribute("PlusIcon").toString() %>' 
						<%-- , '<%= pageContext.
						getAttribute("MinusIcon").toString() %>','hostDetail',
						'<%= l_sbQueryString %>') --%>							<%-- //800WA_WEBCONSOLE317 --%>
						<%-- , '<%= pageContext.
						getAttribute("MinusIcon").toString() %>','hostDetail') --%>	<%-- //800WA_WEBCONSOLE317 --%> <%-- //800WA_WEBCONSOLE444 --%>
						 , '<%= pageContext.
						getAttribute("MinusIcon").toString() %>','hostDetail',
						'<%= l_sbQueryString %>') 							    <%-- //800WA_WEBCONSOLE444 --%>
					<% }														//800WA_WEBCONSOLE444
					else { %>													<%-- //800WA_WEBCONSOLE444 --%>
						javascript:listTree('<%= l_stTemp %>',		
						'<%= pageContext.getAttribute("PlusIcon").toString() %>' 
						, '<%= pageContext.
						getAttribute("MinusIcon").toString() %>','hostDetail')  <%-- //800WA_WEBCONSOLE444 --%>
					<% } %>														<%-- //800WA_WEBCONSOLE444 --%>
					</util:set>													
					<%-- On click of node name, parent function is called --%>
					<%-- <html:link styleClass = "middle" href = 
					"<%= pageContext.getAttribute
						("FuncParentNode").toString()%>"> --%>                  <%-- //800WA_WEBCONSOLE445 --%>
					<html:link styleClass = "middle" href = 
					"<%= pageContext.getAttribute
						("FuncParentNode").toString()%>"
						onclick = "linkClicked(this)">                          <%-- //800WA_WEBCONSOLE445 --%>
						<% if (l_vtCurrentNode.get(1).toString()                // 800WA_WEBCONSOLE432
							.trim().length() !=0 ) { %>                         <% // 800WA_WEBCONSOLE432 %>
						<%= l_vtCurrentNode.get(1).toString() %>
						<% } 													// 800WA_WEBCONSOLE432
						else { %>												<% // 800WA_WEBCONSOLE432 %>
						<%= l_vtCurrentNode.get(1)								// 800WA_WEBCONSOLE432
							.toString().replaceAll(" ","&nbsp;") %>				<% // 800WA_WEBCONSOLE432 %>
						<% } %>													<% // 800WA_WEBCONSOLE432 %>
					</html:link>
					<br>

					
					<%-- Check if l_stTemp node is the leaf node --%>
					<% if ((l_stTemp.endsWith(Const.LEAF_NODE)) || 
						(l_stTemp.length()) > ((l_vtCurrentNode.get(0).
							toString()).length()))  {

						// Indentation is increased.
						l_iIndent = l_iIndent + 1 ; %>
						
						<%-- Generate a DIV tag for l_stTemp node --%>
						<div id ="<%= l_stTemp %>" style="display:none">
					<% }
					else { %> 													<% // 800WA_WEBCONSOLE399 %>
					<div id ="<%= l_stTemp %>" style="display:none"> 			<% // 800WA_WEBCONSOLE399 %>
					</div> 														<% // 800WA_WEBCONSOLE399 %>
					<%}															// 800WA_WEBCONSOLE399
				}
				else
				{ 
					// Storing the current leaf host name 
					l_stLeafNode = l_vtCurrentNode.get(1).toString(); %>
					<util:set name = "LeafNode">
					<%= l_stLeafNode %>
					</util:set>

					<%-- To display the number of spaces for the node --%>
					<%-- <% if (l_iIndent !=0) { %> --%>						<% // 800WA_WEBCONSOLE315 %> <% // 800WA_WEBCONSOLE444 %>
					<html:img src="<%= l_stSpaceImg%>"/>
					<%-- <% } %> --%>											<% // 800WA_WEBCONSOLE315 %> <% // 800WA_WEBCONSOLE444 %>
					<% if (l_iIndent >0) { %>                                   <% // 800WA_WEBCONSOLE444 %>
					<html:img src = "<%= pageContext.
						getAttribute("SpaceIcon1").toString() %>"/>             <% // 800WA_WEBCONSOLE444 %>
					<% } %>                                                     <% // 800WA_WEBCONSOLE444 %>
<%--					<html:img src="<%= pageContext.
						getAttribute("SpaceIcon1").toString() %>"/> --%>		<% // 800WA_WEBCONSOLE315 %>
					<%-- To display the icon for each node --%>					
					<html:img src = '<%= l_vtCurrentNode.get(2).toString() %>' 
						alt = '<%= l_vtCurrentNode.get(3).toString() %>'/>

					<util:set name = "ActionClass">								
						<util:rewrite action = "displayDetailAction" />			
					</util:set>													
				
					<% l_sbQueryString.delete(0,l_sbQueryString.length());
					l_sbQueryString.append(pageContext
						.getAttribute("ActionClass").toString());
					l_sbQueryString.append("?climbTrail=");
					
					l_sbQueryString.append(l_vtCurrentNode.get(0).toString()); 	
					%>			
					
									

					<%--On click of node name,Detail window is opened --%>
					
					
					<%-- <util:set name = "FuncWindowOpen">
						javaScript:window.open('<%= l_sbQueryString
							.toString() %>', 'hostDetail')			
					</util:set> --%>                                            <%-- // 800WA_WEBCONSOLE445 --%>
					<util:set name = "FuncWindowOpen">
						javaScript:window.open('<%= l_sbQueryString
							.toString() %>', 'hostDetail');linkClicked(this);			
					</util:set>                                                 <%-- // 800WA_WEBCONSOLE445 --%>

					<%-- <html:link styleClass = "middle" href = "#" onclick = --%> <% // 800WA_WEBCONSOLE378 %>

					<util:set name = "hrefLink">
						#<%= l_vtCurrentNode.get(0) %>link 
					</util:set>													<% // 800WA_WEBCONSOLE378 %>

					<html:link styleClass = "middle" 
						href = "<%= pageContext.getAttribute
						("hrefLink").toString()%>" onclick = 
					"<%= pageContext.getAttribute
						("FuncWindowOpen").toString()%>"> 						<% // 800WA_WEBCONSOLE378 %>
					<%=l_vtCurrentNode.get(1) %>
					</html:link>
					<br>
					
					<% 
					}															// 800WA_WEBCONSOLE399
					// Check if l_sttemp node is not the leaf node
					if (!(l_stTemp.endsWith(Const.LEAF_NODE))) {
						
						// Generate Closing DIV tag
						for (int l_iTempCnt = l_stTemp.length()+1 ; 
						l_iTempCnt < (((l_vtCurrentNode.get(0))
					
						.toString()).length()); l_iTempCnt = l_iTempCnt + 2 ){ 
							l_iIndent = l_iIndent - 1; %>
							</div>
					<% }
				//	l_sbNodeHierarchy.delete(0,l_sbNodeHierarchy.length());		
					}															
					else if ((l_stTemp.length()) < (((l_vtCurrentNode.get(0))	
						.toString()).length())) {								
																				
						// Generate Closing DIV tag								
					//	for (int l_iTempCnt = l_stTemp.length()+1 ; 			// 800WA_WEBCONSOLE432
					//	for (int l_iTempCnt = l_stTemp.length()-1 ; 			// 800WA_WEBCONSOLE432 // 800WA_WEBCONSOLE444
						for (int l_iTempCnt = l_stTemp.length()+1 ; 			// 800WA_WEBCONSOLE444
						l_iTempCnt <= (((l_vtCurrentNode.get(0))				
						.toString()).length()); l_iTempCnt = l_iTempCnt + 2 ) {	
							l_iIndent = l_iIndent - 1; %>						
							</div>												
					<% }														
					}
					else if ((l_stTemp.length() > 								// 800WA_WEBCONSOLE399
						(((l_vtCurrentNode.get(0)).toString()).length()))		// 800WA_WEBCONSOLE399
						 && (!(l_stTemp.startsWith								// 800WA_WEBCONSOLE399
						 	(l_vtCurrentNode.get(0).toString())))) {			// 800WA_WEBCONSOLE399
						for (int l_iTempCnt = l_stTemp.length()-1 ; 			// 800WA_WEBCONSOLE399
						l_iTempCnt >= (((l_vtCurrentNode.get(0))				// 800WA_WEBCONSOLE399
						.toString()).length()); l_iTempCnt = l_iTempCnt - 2 ){ 	// 800WA_WEBCONSOLE399
							l_iIndent = l_iIndent - 1; %>						<% // 800WA_WEBCONSOLE399 %>
							</div>												<% // 800WA_WEBCONSOLE399 %>
					<% }														// 800WA_WEBCONSOLE399
					}															// 800WA_WEBCONSOLE399
				//}																// 800WA_WEBCONSOLE399
			
			}	
			for (int l_iTempCnt = 0 ;l_iTempCnt < l_iIndent;l_iTempCnt++ ){ 	// 800WA_WEBCONSOLE432
				%>	</div> <% }                                                 // 800WA_WEBCONSOLE432
				 
			// Storing the reference of hashmap in session
			 session.setAttribute(Const.ATTRIBUTE_SESSION_CLIMB_TRAIL_MAP, 
		 	l_hmClimbTrail);

			%>	
<form>	
<input  name = "name" type = "hidden" value = "<%= pageContext.
			getAttribute("HostMenuDisplaySite").toString() %>" >
</form>						
	</div>																		<% // 800WA_WEBCONSOLE457 %>		
</body>
<script>																		<% // 800WA_WEBCONSOLE457 %>
	function enable()															// 800WA_WEBCONSOLE457
	{																			// 800WA_WEBCONSOLE457
		document.getElementById("treeData").style.visibility = 'visible';		// 800WA_WEBCONSOLE457
	}																			// 800WA_WEBCONSOLE457
	addOnloadEvent(enable);														// 800WA_WEBCONSOLE457
	setDefaultPage();															// 800WA_WEBCONSOLE457
</script>																		<% // 800WA_WEBCONSOLE457 %>
</html:html>